<?php
namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Sections;
use ModulesGarden\Servers\ZimbraEmail\App\UI\Admin\Custom\Sections\FreeFieldsSection;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Select;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Switcher;

/**
 * Class AddPropertiesDistribution
 * User: Nessandro
 * Date: 2019-09-20
 * Time: 12:42
 */

class AddPropertiesDistribution extends FreeFieldsSection
{
    protected $id   = 'addPropertiesDistribution';
    protected $name = 'addPropertiesDistribution';

    public function initContent()
    {

        $this->addField(new Switcher('receiveMail'));

        $this->addField(new Switcher('hideGal'));

        $this->addField((new Switcher('dynamicGroup'))
            ->addHtmlAttribute('@change', "initReloadModal()"));

        $this->addField(new Select('subscriptionRequest'));

        $this->addField(new Select('unsubscriptionRequest'));

        $this->addField(new Switcher('sharesNotify'));
    }

}